// Caterwaul standard library | Spencer Tipping
// Licensed under the terms of the MIT source code license

// Internal libraries.
// These operate on caterwaul in some way, but don't necessarily have an effect on generated code.

caterwaul.module( 'std.macro' ,function($) {var syntax_manipulator=function(base_case) {var result=function(x) {if(x.constructor===Array) {for(var i=0,l=x.length,ys= [ ] ;
i<l;
 ++i)ys.push(result(x[i] ) ) ;
return function(tree) {for(var i=ys.length-1,r;
i>=0;
 --i)if(r=ys[i] .call(this,tree) )return r} }else return x.constructor===String?result($.parse(x) ) :x.constructor===$.syntax?base_case.call(this,x) :x} ;
return result} ;
$.pattern=syntax_manipulator(function(pattern) {return function(tree) {return pattern.match(tree) } } ) ;
$.expander=syntax_manipulator(function(expander) {return function(match) {return expander.replace(match) } } ) ;
$.alternatives=syntax_manipulator(function(alternative) {throw new Error( 'must use replacer functions with caterwaul.alternatives()' ) } ) ;
$.reexpander=function(expander) {var e=$.expander(expander) ;
return function(match) {var r=e.call(this,match) ;
return r&&this(r) } } ;
var composer=function(expander_base_case) {return function(pattern,expander) {var new_pattern=$.pattern(pattern) ,new_expander=expander_base_case(expander) ;
return function(tree) {var match=new_pattern.call(this,tree) ;
return match&&new_expander.call(this,match) } } } ;
$.replacer=composer($.expander) ;
$.rereplacer=composer($.reexpander) ;
$.macroexpand=function(tree) {return $($.alternatives(Array.prototype.slice.call(arguments,1) ) ) (tree) } } ) ;

caterwaul.module( 'std.anon' ,function($) {$.anonymizer=function( ) {for(var translation_table= { } ,i=0,l=arguments.length;
i<l;
 ++i)translation_table[arguments[i] ] =$.gensym(arguments[i] ) ;
return function(node) {return $.parse(node) .replace(translation_table) } } } ) ;


// Language specializations.
// These provide configurations that specialize caterwaul to operate well with a given programming language. This is relevant because not all languages compile to Javascript the same way, and
// caterwaul should be able to adapt to the syntactic limitations of generated code (and thus be usable with non-Javascript languages like Coffeescript).

// Also included is a standard set of words that can be combined with the Javascript forms to produce useful macros. Together these form a base language that is used by other parts of the
// standard library.

caterwaul.module( 'std.js' , (function(qs_f_bJh4Q$pENCEmirBEvhEkRJ,qs_g_bJh4Q$pENCEmirBEvhEkRJ,qs_h_bJh4Q$pENCEmirBEvhEkRJ,qs_i_bJh4Q$pENCEmirBEvhEkRJ,qs_j_bJh4Q$pENCEmirBEvhEkRJ,qs_k_bJh4Q$pENCEmirBEvhEkRJ,qs_l_bJh4Q$pENCEmirBEvhEkRJ,qs_m_bJh4Q$pENCEmirBEvhEkRJ,qs_n_bJh4Q$pENCEmirBEvhEkRJ,qs_o_bJh4Q$pENCEmirBEvhEkRJ,qs_p_bJh4Q$pENCEmirBEvhEkRJ,qs_q_bJh4Q$pENCEmirBEvhEkRJ,qs_r_bJh4Q$pENCEmirBEvhEkRJ,qs_s_bJh4Q$pENCEmirBEvhEkRJ,qs_t_bJh4Q$pENCEmirBEvhEkRJ,qs_u_bJh4Q$pENCEmirBEvhEkRJ,qs_v_bJh4Q$pENCEmirBEvhEkRJ,qs_w_bJh4Q$pENCEmirBEvhEkRJ,qs_x_bJh4Q$pENCEmirBEvhEkRJ,qs_y_bJh4Q$pENCEmirBEvhEkRJ) {var result_z_bJh4Q$pENCEmirBEvhEkRJ= (function($) {$.js=function(macroexpander) {var string_interpolator=function(node) {var s=node.data,q=s.charAt(0) ,syntax=$.syntax;
if(q!== '\'' &&q!== '"' || ! /#\{[^\}]+\}/ .test(s) )return false;
for(var pieces= [ ] ,is_code= [ ] ,i=1,l=s.length-1,brace_depth=0,got_hash=false,start=1,c;
i<l;
 ++i)if(brace_depth)if( (c=s.charAt(i) ) === '}' ) --brace_depth|| (pieces.push(s.substring(start,i) ) ,is_code.push(true) ) && (start=i+1) ,got_hash=false;
else brace_depth+=c=== '{' ;
else if( (c=s.charAt(i) ) === '#' )got_hash=true;
else if(c=== '{' &&got_hash)pieces.push(s.substring(start,i-1) ) ,is_code.push(false) ,start=i+1, ++brace_depth;
else got_hash=false;
pieces.push(s.substring(start,l) ) ,is_code.push(false) ;
for(var quoted=new RegExp( '\\\\' +q, 'g' ) ,i=0,l=pieces.length;
i<l;
 ++i)pieces[i] =is_code[i] ?this($.parse(pieces[i] .replace(quoted,q) ) .as( '(' ) ) :new syntax(q+pieces[i] +q) ;
return new syntax( '+' ,pieces) .unflatten() .as( '(' ) } ;
var function_local_template=qs_f_bJh4Q$pENCEmirBEvhEkRJ,function_bind_pattern=qs_g_bJh4Q$pENCEmirBEvhEkRJ,function_result_pattern=qs_h_bJh4Q$pENCEmirBEvhEkRJ,function_with_afters=qs_i_bJh4Q$pENCEmirBEvhEkRJ,function_without_afters=qs_j_bJh4Q$pENCEmirBEvhEkRJ,function_assignment_template=qs_k_bJh4Q$pENCEmirBEvhEkRJ,function_is_result=function(n) {return n.is_empty() &&n.data=== 'result' } ,function_destructure=$.rereplacer(qs_l_bJh4Q$pENCEmirBEvhEkRJ,function(match) {for(var formals= [ ] ,befores= [ ] ,afters= [ ] ,ps=match._xs.flatten( ',' ) ,i=0,l=ps.length;
i<l;
 ++i) (afters.length||ps[i] .contains(function_is_result) ?afters:befores.length||ps[i] .length?befores:formals) .push(ps[i] ) ;
for(var contains_locals= [befores,afters] ,i=0,l=contains_locals.length;
i<l;
 ++i)for(var xs=contains_locals[i] ,j=0,lj=xs.length,m;
j<lj;
 ++j)xs[j] = (m=function_bind_pattern.match(xs[j] ) ) &&m._x.is_empty() ?function_local_template.replace(m) :xs[j] .as( '(' ) ;
var new_formals=formals.length?new $.syntax( ',' ,formals) .unflatten() :$.empty,new_befores=befores.length?new $.syntax( ';' ,befores) .unflatten() :$.empty,new_afters=afters.length?new $.syntax( ';' ,afters) .unflatten() :$.empty,template=function_assignment_template.replace( {_f:match._f,_x:afters.length?function_with_afters:function_without_afters} ) ;
return template.replace( {_formals:new_formals,_befores:new_befores,_afters:new_afters,_result:match._y} ) } ) ;
var infix_function=function(node) {var d=node.data,left,fn;
if( (d=== '/' ||d=== '|' ) && (left=node[0] ) .data===d&&left[1] &&left[1] .data=== 'u-' && (fn=left[1] [0] ) )return new $.syntax( '()' ,fn,this(node[0] [0] ) .flatten(d) .push(this(node[1] ) ) .with_data( ',' ) .unflatten() ) } ;
var infix_method=function(node) {var d=node.data,left,fn;
if( (d=== '/' ||d=== '|' ) && (left=node[0] ) .data===d&&left[1] &&left[1] .data=== 'u~' && (fn=left[1] [0] ) ) {var xs= [ ] .slice.call(this(node[0] [0] ) .flatten(d) ) ,object=xs.shift() ;
return new $.syntax( '()' ,new $.syntax( '.' ,new $.syntax( '(' ,object) ,fn) ,new $.syntax( ',' ,xs,this(node[1] ) ) .unflatten() ) } } ;
var postfix_function_template=qs_m_bJh4Q$pENCEmirBEvhEkRJ,postfix_function=$.rereplacer(qs_n_bJh4Q$pENCEmirBEvhEkRJ,function(match) {return postfix_function_template.replace( {_f:match._f,_x:this(match._x) .flatten( '/' ) .with_data( ',' ) .unflatten() } ) } ) ;
var modified_literal_form=$.pattern(qs_o_bJh4Q$pENCEmirBEvhEkRJ) ,lookup_literal_modifier=function(caterwaul,type,modifier) {var hash=caterwaul.literal_modifiers[type] ;
return hash.hasOwnProperty(modifier) &&hash[modifier] } ,literal_modifier=function(node) {var modified_literal=modified_literal_form.call(this,node) ,literal,expander;
if(modified_literal&& (literal=modified_literal._literal) && (expander=literal.is_identifier() ?lookup_literal_modifier(this, 'identifier' ,modified_literal._modifier.data) :literal.is_array() ?lookup_literal_modifier(this, 'array' ,modified_literal._modifier.data) :literal.is_regexp() ?lookup_literal_modifier(this, 'regexp' ,modified_literal._modifier.data) :literal.is_number() ?lookup_literal_modifier(this, 'number' ,modified_literal._modifier.data) :literal.is_string() ?lookup_literal_modifier(this, 'string' ,modified_literal._modifier.data) :null) )return expander.call(this,literal) } ;
var bracket_modifier_form=$.pattern(qs_p_bJh4Q$pENCEmirBEvhEkRJ) ,slash_modifier_form=$.pattern(qs_q_bJh4Q$pENCEmirBEvhEkRJ) ,minus_modifier_form=$.pattern(qs_r_bJh4Q$pENCEmirBEvhEkRJ) ,in_modifier_form=$.pattern(qs_s_bJh4Q$pENCEmirBEvhEkRJ) ,pipe_modifier_form=$.pattern(qs_t_bJh4Q$pENCEmirBEvhEkRJ) ,comma_modifier_form=$.pattern(qs_u_bJh4Q$pENCEmirBEvhEkRJ) ,dot_parameters=$.pattern(qs_v_bJh4Q$pENCEmirBEvhEkRJ) ,bracket_parameters=$.pattern(qs_w_bJh4Q$pENCEmirBEvhEkRJ) ,parameterized_wickets=$.pattern(qs_x_bJh4Q$pENCEmirBEvhEkRJ) ,parameterized_minus=$.pattern(qs_y_bJh4Q$pENCEmirBEvhEkRJ) ,modifier=function(node) {var modifier,parameterized_match=parameterized_wickets.call(this,node) ||parameterized_minus.call(this,node) ;
if(parameterized_match&&this.parameterized_modifiers.hasOwnProperty(modifier=parameterized_match._modifier.data) ) {var r=this.parameterized_modifiers[modifier] .call(this,parameterized_match) ;
if(r)return r}var regular_match=bracket_modifier_form.call(this,node) ||slash_modifier_form.call(this,node) ||minus_modifier_form.call(this,node) ||in_modifier_form.call(this,node) ||pipe_modifier_form.call(this,node) ||comma_modifier_form.call(this,node) ;
if(regular_match) {var parameter_match=dot_parameters.call(this,regular_match._modifier) ||bracket_parameters.call(this,regular_match._modifier) ;
if(parameter_match) {regular_match._modifier=parameter_match._modifier;
regular_match._parameters=parameter_match._parameters;
return this.parameterized_modifiers.hasOwnProperty(modifier=regular_match._modifier.data) &&this.parameterized_modifiers[modifier] .call(this,regular_match) }else return this.modifiers.hasOwnProperty(modifier=regular_match._modifier.data) &&this.modifiers[modifier] .call(this,regular_match) } } ;
var each_node=function(node) {return string_interpolator.call(this,node) ||literal_modifier.call(this,node) ||node.length&& (modifier.call(this,node) ||function_destructure.call(this,node) ||infix_function.call(this,node) ||infix_method.call(this,node) ||postfix_function.call(this,node) ) } ,result=macroexpander?$(function(node) {return macroexpander.call(this,node) ||each_node.call(this,node) } ) :$(each_node) ;
result.modifiers= { } ;
result.parameterized_modifiers= { } ;
result.literal_modifiers= {regexp: { } ,array: { } ,string: { } ,number: { } ,identifier: { } } ;
return result} } ) ;
result_z_bJh4Q$pENCEmirBEvhEkRJ.caterwaul_expression_ref_table= { "qs_f_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_y\" ) ) )" ) , "qs_g_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_y\" ) )" ) , "qs_h_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"result\" )" ) , "qs_i_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_formals\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"_befores\" ) ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"result\" ) ,new caterwaul.syntax( \"_result\" ) ) ) ) ,new caterwaul.syntax( \"_afters\" ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"result\" ) ) ) ) )" ) , "qs_j_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_formals\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"_befores\" ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_result\" ) ) ) ) )" ) , "qs_k_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_f\" ) ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_l_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"_f\" ) ,new caterwaul.syntax( \"_xs\" ) ) ,new caterwaul.syntax( \"_y\" ) )" ) , "qs_m_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"_f\" ) ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_n_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"/\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"u!\" ,new caterwaul.syntax( \"_f\" ) ) )" ) , "qs_o_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_literal\" ) ,new caterwaul.syntax( \"_modifier\" ) )" ) , "qs_p_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_modifier\" ) ,new caterwaul.syntax( \"_expression\" ) )" ) , "qs_q_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"/\" ,new caterwaul.syntax( \"_expression\" ) ,new caterwaul.syntax( \"_modifier\" ) )" ) , "qs_r_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"_expression\" ) ,new caterwaul.syntax( \"_modifier\" ) )" ) , "qs_s_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"_modifier\" ) ,new caterwaul.syntax( \"_expression\" ) )" ) , "qs_t_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"|\" ,new caterwaul.syntax( \"_expression\" ) ,new caterwaul.syntax( \"_modifier\" ) )" ) , "qs_u_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_expression\" ) ,new caterwaul.syntax( \"_modifier\" ) )" ) , "qs_v_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_modifier\" ) ,new caterwaul.syntax( \"_parameters\" ) )" ) , "qs_w_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_modifier\" ) ,new caterwaul.syntax( \"_parameters\" ) )" ) , "qs_x_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \">\" ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_expression\" ) ,new caterwaul.syntax( \"_modifier\" ) ) ,new caterwaul.syntax( \"_parameters\" ) )" ) , "qs_y_bJh4Q$pENCEmirBEvhEkRJ" : ( "new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"_expression\" ) ,new caterwaul.syntax( \"_modifier\" ) ) ,new caterwaul.syntax( \"_parameters\" ) )" ) } ;
return(result_z_bJh4Q$pENCEmirBEvhEkRJ) } ) .call(this,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_y" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_y" ) ) ,new caterwaul.syntax( "result" ) ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_formals" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "_befores" ) ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "result" ) ,new caterwaul.syntax( "_result" ) ) ) ) ,new caterwaul.syntax( "_afters" ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "result" ) ) ) ) ) ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_formals" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "_befores" ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_result" ) ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_f" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "_f" ) ,new caterwaul.syntax( "_xs" ) ) ,new caterwaul.syntax( "_y" ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "_f" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "/" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "u!" ,new caterwaul.syntax( "_f" ) ) ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_literal" ) ,new caterwaul.syntax( "_modifier" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_modifier" ) ,new caterwaul.syntax( "_expression" ) ) ,new caterwaul.syntax( "/" ,new caterwaul.syntax( "_expression" ) ,new caterwaul.syntax( "_modifier" ) ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "_expression" ) ,new caterwaul.syntax( "_modifier" ) ) ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "_modifier" ) ,new caterwaul.syntax( "_expression" ) ) ,new caterwaul.syntax( "|" ,new caterwaul.syntax( "_expression" ) ,new caterwaul.syntax( "_modifier" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_expression" ) ,new caterwaul.syntax( "_modifier" ) ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_modifier" ) ,new caterwaul.syntax( "_parameters" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_modifier" ) ,new caterwaul.syntax( "_parameters" ) ) ,new caterwaul.syntax( ">" ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_expression" ) ,new caterwaul.syntax( "_modifier" ) ) ,new caterwaul.syntax( "_parameters" ) ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "_expression" ) ,new caterwaul.syntax( "_modifier" ) ) ,new caterwaul.syntax( "_parameters" ) ) ) ) ;

caterwaul.module( 'std.js-literals' , (function(qs_f_F9gubBGF67i4tHzcFlHM8K,qs_g_F9gubBGF67i4tHzcFlHM8K) {var result_h_F9gubBGF67i4tHzcFlHM8K= (function($) {$.js_literals=function(caterwaul_function) {var function_template=qs_f_F9gubBGF67i4tHzcFlHM8K;
 (function(r) {r.x=$.reexpander(function(node) {return node.with_data(node.data.replace( /\s+/g , '' ) ) } ) ;
var call_exec_template=qs_g_F9gubBGF67i4tHzcFlHM8K;
r.qf=function(node) {return function_template.replace( {_body:call_exec_template.replace( {_regexp:node} ) } ) } } ) (caterwaul_function.literal_modifiers.regexp) ;
 (function(s) {s.qw=$.reexpander(function(node) {for(var array_node=new $.syntax( '[' ) ,comma=new $.syntax( ',' ) ,delimiter=node.data.charAt(0) ,pieces=node.as_escaped_string() .split( /\s+/ ) ,i=0,l=pieces.length;
i<l;
 ++i)comma.push(new $.syntax(delimiter+pieces[i] +delimiter) ) ;
return array_node.push(comma.unflatten() ) } ) ;
s.qh=$.reexpander(function(node) {for(var hash_node=new $.syntax( '{' ) ,comma=new $.syntax( ',' ) ,delimiter=node.data.charAt(0) ,pieces=node.as_escaped_string() .split( /\s+/ ) ,i=0,l=pieces.length;
i<l;
i+=2)comma.push(new $.syntax( ':' ,new $.syntax(delimiter+pieces[i] +delimiter) ,new $.syntax(delimiter+pieces[i+1] +delimiter) ) ) ;
return hash_node.push(comma.unflatten() ) } ) ;
s.qr=$.reexpander(function(node) {return node.with_data( '/' +node.as_escaped_string() .replace( /\//g , '\\/' ) + '/' ) } ) ;
s.qs=function(node) {return new $.expression_ref($.syntax_to_expression($.parse(node.as_unescaped_string() ) ) , 'qs' ) } ;
s.qf=$.reexpander(function(node) {return function_template.replace( {_body:$.parse(node.as_unescaped_string() ) } ) } ) } ) (caterwaul_function.literal_modifiers.string) ;
return caterwaul_function} } ) ;
result_h_F9gubBGF67i4tHzcFlHM8K.caterwaul_expression_ref_table= { "qs_f_F9gubBGF67i4tHzcFlHM8K" : ( "new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_body\" ) ) ) )" ) , "qs_g_F9gubBGF67i4tHzcFlHM8K" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_regexp\" ) ,new caterwaul.syntax( \"exec\" ) ) ,new caterwaul.syntax( \"_\" ) )" ) } ;
return(result_h_F9gubBGF67i4tHzcFlHM8K) } ) .call(this,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_body" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_regexp" ) ,new caterwaul.syntax( "exec" ) ) ,new caterwaul.syntax( "_" ) ) ) ) ;

caterwaul.module( 'std.words' , (function(qs_f_HSUhe4EVMDipc$R9ynLCnN,qs_g_HSUhe4EVMDipc$R9ynLCnN,qs_h_HSUhe4EVMDipc$R9ynLCnN,qs_i_HSUhe4EVMDipc$R9ynLCnN,qs_j_HSUhe4EVMDipc$R9ynLCnN,qs_k_HSUhe4EVMDipc$R9ynLCnN,qs_l_HSUhe4EVMDipc$R9ynLCnN,qs_m_HSUhe4EVMDipc$R9ynLCnN,qs_n_HSUhe4EVMDipc$R9ynLCnN,qs_o_HSUhe4EVMDipc$R9ynLCnN,qs_p_HSUhe4EVMDipc$R9ynLCnN,qs_q_HSUhe4EVMDipc$R9ynLCnN,qs_r_HSUhe4EVMDipc$R9ynLCnN,qs_s_HSUhe4EVMDipc$R9ynLCnN) {var result_t_HSUhe4EVMDipc$R9ynLCnN= (function($) { (function( ) {var scope_template=qs_f_HSUhe4EVMDipc$R9ynLCnN;
return($.words=function(caterwaul_function) {;
return($.merge(caterwaul_function.modifiers,$.words.modifiers) ,$.merge(caterwaul_function.parameterized_modifiers,$.words.parameterized_modifiers) ,caterwaul_function) } ,$.words.modifiers= {qs:function(match) {;
return new $.expression_ref($.syntax_to_expression(match._expression) , 'qs' ) } ,qse:function(match) {;
return new $.expression_ref($.syntax_to_expression(this(match._expression) ) , 'qse' ) } ,reexpand:function(match) {;
return this(this(match._expression) ) } ,noexpand:function(match) {;
return match._expression} ,raise:$.reexpander(qs_g_HSUhe4EVMDipc$R9ynLCnN) ,eval:function(match) {;
return new $.ref($.compile(this(match._expression) ) , 'eval' ) } ,delay:$.reexpander(qs_h_HSUhe4EVMDipc$R9ynLCnN) ,lazy:$.reexpander(qs_i_HSUhe4EVMDipc$R9ynLCnN) ,capture:function(match) {for(var comma=new $.syntax( ',' ) ,bindings=match._expression.flatten( ',' ) ,i=0,l=bindings.length;
i<l;
 ++i)comma.push(this(bindings[i] ) .with_data( ':' ) ) ;
return new $.syntax( '{' ,comma.unflatten() ) } ,wcapture:function(match) {for(var e=this(match._expression) ,comma=new $.syntax( ',' ) ,bindings=e.flatten( ',' ) ,node,i=0,l=bindings.length;
i<l;
 ++i) (node=this(bindings[i] ) ) [1] =node[0] ,comma.push(node.with_data( ':' ) ) ;
return scope_template.replace( {_variables:e,_expression:new $.syntax( '{' ,comma.unflatten() ) } ) } } ,$.words.parameterized_modifiers= {given:$.reexpander(qs_j_HSUhe4EVMDipc$R9ynLCnN) ,bgiven:$.reexpander(qs_k_HSUhe4EVMDipc$R9ynLCnN) ,rescue:$.reexpander(qs_l_HSUhe4EVMDipc$R9ynLCnN) ,se:$.reexpander(qs_m_HSUhe4EVMDipc$R9ynLCnN) ,re:$.reexpander(qs_n_HSUhe4EVMDipc$R9ynLCnN) ,where:$.reexpander(qs_o_HSUhe4EVMDipc$R9ynLCnN) ,using:$.reexpander(function(match) {var m=this(match._parameters) ,o=$.compile(m) ,comma=new $.syntax( ',' ) ,expression_ref=new $.expression_ref(m) ;
for(var k in o)Object.prototype.hasOwnProperty.call(o,k) && /^[_$a-zA-Z][_$0-9a-zA-Z]*$/ .test(k) && !this.modifiers.hasOwnProperty(k) && !this.parameterized_modifiers.hasOwnProperty(k) &&comma.push(new $.syntax( '=' ,k,new $.syntax( '.' ,expression_ref,k) ) ) ;
return scope_template.replace( {_variables:comma.unflatten() ,_expression:match._expression} ) } ) ,when:$.reexpander(qs_p_HSUhe4EVMDipc$R9ynLCnN) ,and:$.reexpander(qs_q_HSUhe4EVMDipc$R9ynLCnN) ,unless:$.reexpander(qs_r_HSUhe4EVMDipc$R9ynLCnN) ,or:$.reexpander(qs_s_HSUhe4EVMDipc$R9ynLCnN) } ) } ) .call(this) } ) ;
result_t_HSUhe4EVMDipc$R9ynLCnN.caterwaul_expression_ref_table= { "qs_f_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"_variables\" ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ) ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \"this\" ) )" ) , "qs_g_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"throw\" ,new caterwaul.syntax( \"_expression\" ) ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \"this\" ) )" ) , "qs_h_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"t\" ) ,new caterwaul.syntax( \"f\" ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"f\" ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \"t\" ) ) ) ) ) ) ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"this\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_expression\" ) ) ) ) ) ) )" ) , "qs_i_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"t\" ) ,new caterwaul.syntax( \"f\" ) ) ,new caterwaul.syntax( \"v\" ) ) ,new caterwaul.syntax( \"vc\" ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"?\" ,new caterwaul.syntax( \"vc\" ) ,new caterwaul.syntax( \"v\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"vc\" ) ,new caterwaul.syntax( \"true\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"v\" ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"f\" ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \"t\" ) ) ) ) ) ) ) ) ) ) ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"this\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_expression\" ) ) ) ) ) ) )" ) , "qs_j_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_expression\" ) ) ) ) )" ) , "qs_k_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"t\" ) ,new caterwaul.syntax( \"f\" ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"f\" ) ,new caterwaul.syntax( \"apply\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"t\" ) ,new caterwaul.syntax( \"arguments\" ) ) ) ) ) ) ) ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"this\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_expression\" ) ) ) ) ) ) )" ) , "qs_l_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"try\" ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ) ) ,new caterwaul.syntax( \"catch\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"e\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ) ) ) ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \"this\" ) )" ) , "qs_m_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"it\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ,new caterwaul.syntax( \"it\" ) ) ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"this\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ) )" ) , "qs_n_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"it\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"this\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ) )" ) , "qs_o_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"_parameters\" ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ) ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \"this\" ) )" ) , "qs_p_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ) )" ) , "qs_q_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ) )" ) , "qs_r_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"u!\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ) )" ) , "qs_s_HSUhe4EVMDipc$R9ynLCnN" : ( "new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"||\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_expression\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_parameters\" ) ) ) )" ) } ;
return(result_t_HSUhe4EVMDipc$R9ynLCnN) } ) .call(this,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "_variables" ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ) ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "this" ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "throw" ,new caterwaul.syntax( "_expression" ) ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "this" ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "t" ) ,new caterwaul.syntax( "f" ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "f" ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "t" ) ) ) ) ) ) ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "this" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_expression" ) ) ) ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "t" ) ,new caterwaul.syntax( "f" ) ) ,new caterwaul.syntax( "v" ) ) ,new caterwaul.syntax( "vc" ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "?" ,new caterwaul.syntax( "vc" ) ,new caterwaul.syntax( "v" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "vc" ) ,new caterwaul.syntax( "true" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "v" ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "f" ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "t" ) ) ) ) ) ) ) ) ) ) ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "this" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_expression" ) ) ) ) ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_expression" ) ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "t" ) ,new caterwaul.syntax( "f" ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "f" ) ,new caterwaul.syntax( "apply" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "t" ) ,new caterwaul.syntax( "arguments" ) ) ) ) ) ) ) ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "this" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_expression" ) ) ) ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "try" ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ) ) ,new caterwaul.syntax( "catch" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "e" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ) ) ) ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "this" ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "it" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ,new caterwaul.syntax( "it" ) ) ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "this" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "it" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "this" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "_parameters" ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ) ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "this" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "u!" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "||" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_expression" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_parameters" ) ) ) ) ) ) ;


// Libraries.
// These apply more advanced syntactic transforms to the code and can depend on everything above.

caterwaul.module( 'std.seq' , (function(qs_f_rh4dDUBSELAUGEUpcFLrnd,qs_g_rh4dDUBSELAUGEUpcFLrnd,qs_h_rh4dDUBSELAUGEUpcFLrnd,qs_i_rh4dDUBSELAUGEUpcFLrnd,qs_j_rh4dDUBSELAUGEUpcFLrnd,qs_k_rh4dDUBSELAUGEUpcFLrnd,qs_l_rh4dDUBSELAUGEUpcFLrnd,qs_m_rh4dDUBSELAUGEUpcFLrnd,qs_n_rh4dDUBSELAUGEUpcFLrnd,qs_o_rh4dDUBSELAUGEUpcFLrnd,qs_p_rh4dDUBSELAUGEUpcFLrnd,qs_q_rh4dDUBSELAUGEUpcFLrnd,qs_r_rh4dDUBSELAUGEUpcFLrnd,qs_s_rh4dDUBSELAUGEUpcFLrnd,qs_t_rh4dDUBSELAUGEUpcFLrnd,qs_u_rh4dDUBSELAUGEUpcFLrnd,qs_v_rh4dDUBSELAUGEUpcFLrnd,qs_w_rh4dDUBSELAUGEUpcFLrnd,qs_x_rh4dDUBSELAUGEUpcFLrnd,qs_y_rh4dDUBSELAUGEUpcFLrnd,qs_z_rh4dDUBSELAUGEUpcFLrnd,qs_10_rh4dDUBSELAUGEUpcFLrnd,qs_11_rh4dDUBSELAUGEUpcFLrnd,qs_12_rh4dDUBSELAUGEUpcFLrnd,qs_13_rh4dDUBSELAUGEUpcFLrnd,qs_14_rh4dDUBSELAUGEUpcFLrnd,qs_15_rh4dDUBSELAUGEUpcFLrnd,qs_16_rh4dDUBSELAUGEUpcFLrnd,qs_17_rh4dDUBSELAUGEUpcFLrnd,qs_18_rh4dDUBSELAUGEUpcFLrnd,qs_19_rh4dDUBSELAUGEUpcFLrnd,qs_1a_rh4dDUBSELAUGEUpcFLrnd,qs_1b_rh4dDUBSELAUGEUpcFLrnd,qs_1c_rh4dDUBSELAUGEUpcFLrnd,qs_1d_rh4dDUBSELAUGEUpcFLrnd,qs_1e_rh4dDUBSELAUGEUpcFLrnd,qs_1f_rh4dDUBSELAUGEUpcFLrnd,qs_1g_rh4dDUBSELAUGEUpcFLrnd,qs_1h_rh4dDUBSELAUGEUpcFLrnd,qs_1i_rh4dDUBSELAUGEUpcFLrnd,qs_1j_rh4dDUBSELAUGEUpcFLrnd,qs_1k_rh4dDUBSELAUGEUpcFLrnd,qs_1l_rh4dDUBSELAUGEUpcFLrnd,qs_1m_rh4dDUBSELAUGEUpcFLrnd,qs_1n_rh4dDUBSELAUGEUpcFLrnd,qs_1o_rh4dDUBSELAUGEUpcFLrnd,qs_1p_rh4dDUBSELAUGEUpcFLrnd,qs_1q_rh4dDUBSELAUGEUpcFLrnd,qs_1r_rh4dDUBSELAUGEUpcFLrnd,qs_1s_rh4dDUBSELAUGEUpcFLrnd,qs_1t_rh4dDUBSELAUGEUpcFLrnd,qs_1u_rh4dDUBSELAUGEUpcFLrnd,qs_1v_rh4dDUBSELAUGEUpcFLrnd,qs_1w_rh4dDUBSELAUGEUpcFLrnd,qs_1x_rh4dDUBSELAUGEUpcFLrnd,qs_1y_rh4dDUBSELAUGEUpcFLrnd,qs_1z_rh4dDUBSELAUGEUpcFLrnd,qs_20_rh4dDUBSELAUGEUpcFLrnd,qs_21_rh4dDUBSELAUGEUpcFLrnd,qs_22_rh4dDUBSELAUGEUpcFLrnd,qs_23_rh4dDUBSELAUGEUpcFLrnd,qs_24_rh4dDUBSELAUGEUpcFLrnd,qs_25_rh4dDUBSELAUGEUpcFLrnd,qs_26_rh4dDUBSELAUGEUpcFLrnd,qs_27_rh4dDUBSELAUGEUpcFLrnd,qs_28_rh4dDUBSELAUGEUpcFLrnd,qs_29_rh4dDUBSELAUGEUpcFLrnd,qs_2a_rh4dDUBSELAUGEUpcFLrnd,qs_2b_rh4dDUBSELAUGEUpcFLrnd,qs_2c_rh4dDUBSELAUGEUpcFLrnd,qs_2d_rh4dDUBSELAUGEUpcFLrnd,qs_2e_rh4dDUBSELAUGEUpcFLrnd,qs_2f_rh4dDUBSELAUGEUpcFLrnd,qs_2g_rh4dDUBSELAUGEUpcFLrnd,qs_2h_rh4dDUBSELAUGEUpcFLrnd,qs_2i_rh4dDUBSELAUGEUpcFLrnd,qs_2j_rh4dDUBSELAUGEUpcFLrnd,qs_2k_rh4dDUBSELAUGEUpcFLrnd,qs_2l_rh4dDUBSELAUGEUpcFLrnd,qs_2m_rh4dDUBSELAUGEUpcFLrnd,qs_2n_rh4dDUBSELAUGEUpcFLrnd,qs_2o_rh4dDUBSELAUGEUpcFLrnd,qs_2p_rh4dDUBSELAUGEUpcFLrnd,qs_2q_rh4dDUBSELAUGEUpcFLrnd,qs_2r_rh4dDUBSELAUGEUpcFLrnd,qs_2s_rh4dDUBSELAUGEUpcFLrnd,qs_2t_rh4dDUBSELAUGEUpcFLrnd,qs_2u_rh4dDUBSELAUGEUpcFLrnd,qs_2v_rh4dDUBSELAUGEUpcFLrnd,qs_2w_rh4dDUBSELAUGEUpcFLrnd,qs_2x_rh4dDUBSELAUGEUpcFLrnd,qs_2y_rh4dDUBSELAUGEUpcFLrnd,qs_2z_rh4dDUBSELAUGEUpcFLrnd,qs_30_rh4dDUBSELAUGEUpcFLrnd,qs_31_rh4dDUBSELAUGEUpcFLrnd,qs_32_rh4dDUBSELAUGEUpcFLrnd,qs_33_rh4dDUBSELAUGEUpcFLrnd,qs_34_rh4dDUBSELAUGEUpcFLrnd,qs_35_rh4dDUBSELAUGEUpcFLrnd) {var result_36_rh4dDUBSELAUGEUpcFLrnd= (function($) { (function( ) {var anon=$.anonymizer( 'S' ) ,rule=function(p,e) {;
return $.rereplacer(anon(p) ,e.constructor===$.syntax?anon(e) :e) } ,operator_macros= (function( ) {var loop_anon=$.anonymizer( 'x' , 'y' , 'i' , 'j' , 'l' , 'lj' , 'r' , 'o' , 'k' ) ,scope=anon(qs_f_rh4dDUBSELAUGEUpcFLrnd) ,scoped=function(t) {;
return scope.replace( {_body:t} ) } ,form=function(x) {;
return loop_anon(scoped(anon(x) ) ) } ,map=form(qs_g_rh4dDUBSELAUGEUpcFLrnd) ,each=form(qs_h_rh4dDUBSELAUGEUpcFLrnd) ,flatmap=form(qs_i_rh4dDUBSELAUGEUpcFLrnd) ,iterate=form(qs_j_rh4dDUBSELAUGEUpcFLrnd) ,filter=form(qs_k_rh4dDUBSELAUGEUpcFLrnd) ,filter_not=form(qs_l_rh4dDUBSELAUGEUpcFLrnd) ,map_filter=form(qs_m_rh4dDUBSELAUGEUpcFLrnd) ,imap_filter=form(qs_n_rh4dDUBSELAUGEUpcFLrnd) ,foldl=form(qs_o_rh4dDUBSELAUGEUpcFLrnd) ,foldr=form(qs_p_rh4dDUBSELAUGEUpcFLrnd) ,unfold=form(qs_q_rh4dDUBSELAUGEUpcFLrnd) ,ifoldl=form(qs_r_rh4dDUBSELAUGEUpcFLrnd) ,ifoldr=form(qs_s_rh4dDUBSELAUGEUpcFLrnd) ,iunfold=form(qs_t_rh4dDUBSELAUGEUpcFLrnd) ,exists=form(qs_u_rh4dDUBSELAUGEUpcFLrnd) ,not_exists=form(qs_v_rh4dDUBSELAUGEUpcFLrnd) ,r_exists=form(qs_w_rh4dDUBSELAUGEUpcFLrnd) ,concat=anon(qs_x_rh4dDUBSELAUGEUpcFLrnd) ,kmap=form(qs_y_rh4dDUBSELAUGEUpcFLrnd) ,keach=form(qs_z_rh4dDUBSELAUGEUpcFLrnd) ,kfilter=form(qs_10_rh4dDUBSELAUGEUpcFLrnd) ,kfilter_not=form(qs_11_rh4dDUBSELAUGEUpcFLrnd) ,kmap_filter=form(qs_12_rh4dDUBSELAUGEUpcFLrnd) ,vmap=form(qs_13_rh4dDUBSELAUGEUpcFLrnd) ,veach=form(qs_14_rh4dDUBSELAUGEUpcFLrnd) ,vfilter=form(qs_15_rh4dDUBSELAUGEUpcFLrnd) ,vfilter_not=form(qs_16_rh4dDUBSELAUGEUpcFLrnd) ,vmap_filter=form(qs_17_rh4dDUBSELAUGEUpcFLrnd) ;
return( (function( ) {var unrecognized=function(reason) {;
return(function( ) {throw new Error(reason) } ) .call(this) } ,use_form=function(form,xs,body,init,vars) {;
return form?form.replace( {_f:body,_init:init} ) .replace($.merge( {_s:xs} ,vars) ) :unrecognized( ( 'unsupported sequence operator or modifiers used on ' + (body) + '' ) ) } ,operator_case=function(forms) {;
return function(match) {;
return(function( ) {var xs=match._xs,expander=this,form_function=function(form) {;
return function(body,vars) {;
return use_form(form,xs,body,null,vars) } } ,iform_function=function(form) {;
return function(body,init,vars) {;
return use_form(form,xs,body,init,vars) } } ,use=function(form,iform) {;
return function(body) {;
return parse_body(body,expander,form_function(form) ,iform_function(iform) ) } } ;
return(parse_modifiers(match._thing,use(forms.normal,forms.inormal) ,use(forms.bang,forms.ibang) ,use(forms.tbang,forms.itbang) ) ) } ) .call(this) } } ,handle_map_forms=operator_case( {normal:map,bang:each,tbang:flatmap,itbang:iterate} ) ,handle_filter_forms=operator_case( {normal:filter,bang:filter_not,tbang:map_filter,itbang:imap_filter} ) ,handle_fold_forms=operator_case( {normal:foldl,bang:foldr,tbang:unfold,inormal:ifoldl,ibang:ifoldr,itbang:iunfold} ) ,handle_kmap_forms=operator_case( {normal:kmap,bang:keach} ) ,handle_kfilter_forms=operator_case( {normal:kfilter,bang:kfilter_not,tbang:kmap_filter} ) ,handle_vmap_forms=operator_case( {normal:vmap,bang:veach} ) ,handle_vfilter_forms=operator_case( {normal:vfilter,bang:vfilter_not,tbang:vmap_filter} ) ,handle_exists_forms=operator_case( {normal:exists,bang:not_exists,tbang:r_exists} ) ,block=anon(qs_18_rh4dDUBSELAUGEUpcFLrnd) ,block_with_variable=anon(qs_19_rh4dDUBSELAUGEUpcFLrnd) ,block_with_init=anon(qs_1a_rh4dDUBSELAUGEUpcFLrnd) ,block_with_variable_and_init=anon(qs_1b_rh4dDUBSELAUGEUpcFLrnd) ,block_with_closure=anon(qs_1c_rh4dDUBSELAUGEUpcFLrnd) ,block_with_seq=anon(qs_1d_rh4dDUBSELAUGEUpcFLrnd) ,standard_names= {_x: 'x' ,_x0: 'x0' ,_xi: 'xi' ,_xl: 'xl' ,_xs: 'xs' ,_xr: 'xr' } ,prefixed_names=function(p) {;
return{_x:p,_x0: ( '' + (p) + '0' ) ,_xi: ( '' + (p) + 'i' ) ,_xl: ( '' + (p) + 'l' ) ,_xs: ( '' + (p) + 's' ) ,_xr: ( '' + (p) + 'r' ) } } ,function_promotion=anon(qs_1e_rh4dDUBSELAUGEUpcFLrnd) ,promote_function=function(f) {;
return function_promotion.replace( {_f:f} ) } ,closure_wrapper=anon(qs_1f_rh4dDUBSELAUGEUpcFLrnd) ,close_body=function(vars,f) {;
return closure_wrapper.replace(vars) .replace( {_f:f} ) } ,seq_pattern=anon(qs_1g_rh4dDUBSELAUGEUpcFLrnd) ,promote_seq=function(f) {;
return seq_pattern.replace( {_x:f} ) } ,parse_body=function(tree,expand,normal,init) {;
return(function( ) {var in_sequence_context=function(f) {;
return expand.call(expand,promote_seq(f) ) } ,sequence_context_normal=function(f,names) {;
return normal(in_sequence_context(f) ,names) } ,sequence_context_init=function(f,init_expression,names) {;
return init(in_sequence_context(f) ,init_expression,names) } ,wrapping_normal=function(f,names) {;
return normal(close_body(names,f) ,names) } ,wrapping_init=function(f,init_expression,names) {;
return init(close_body(names,f) ,init_expression,names) } ,r=null;
return( ( (r=block_with_seq.match(tree) ) ?parse_body(r._x,expand,sequence_context_normal,sequence_context_init) : (r=block_with_closure.match(tree) ) ?parse_body(r._x,expand,wrapping_normal,wrapping_init) : (r=block_with_variable_and_init.match(tree) ) ?init(r._x,r._init,prefixed_names(r._var) ) : (r=block_with_init.match(tree) ) ?init(r._x,r._init,standard_names) : (r=block_with_variable.match(tree) ) ?normal(r._x,prefixed_names(r._var) ) : (r=block.match(tree) ) ?normal(r._x,standard_names) :normal(promote_function(tree) ,standard_names) ) ) } ) .call(this) } ,tbang_modifier=anon(qs_1h_rh4dDUBSELAUGEUpcFLrnd) ,bang_modifier=anon(qs_1i_rh4dDUBSELAUGEUpcFLrnd) ,parse_modifiers=function(tree,normal,bang,tbang) {;
return(function( ) {var result=null;
return( ( (result=tbang_modifier.match(tree) ) ?tbang(result._x) : (result=bang_modifier.match(tree) ) ?bang(result._x) :normal(tree) ) ) } ) .call(this) } ;
return( [rule(qs_1j_rh4dDUBSELAUGEUpcFLrnd,qs_1k_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_1l_rh4dDUBSELAUGEUpcFLrnd,concat) ,rule(qs_1m_rh4dDUBSELAUGEUpcFLrnd,qs_1n_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_1o_rh4dDUBSELAUGEUpcFLrnd,qs_1p_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_1q_rh4dDUBSELAUGEUpcFLrnd,qs_1r_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_1s_rh4dDUBSELAUGEUpcFLrnd,qs_1t_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_1u_rh4dDUBSELAUGEUpcFLrnd,qs_1v_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_1w_rh4dDUBSELAUGEUpcFLrnd,qs_1x_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_1y_rh4dDUBSELAUGEUpcFLrnd,qs_1z_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_20_rh4dDUBSELAUGEUpcFLrnd,qs_21_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_22_rh4dDUBSELAUGEUpcFLrnd,qs_23_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_24_rh4dDUBSELAUGEUpcFLrnd,qs_25_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_26_rh4dDUBSELAUGEUpcFLrnd,qs_27_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_28_rh4dDUBSELAUGEUpcFLrnd,qs_29_rh4dDUBSELAUGEUpcFLrnd) ,rule(qs_2a_rh4dDUBSELAUGEUpcFLrnd,handle_filter_forms) ,rule(qs_2b_rh4dDUBSELAUGEUpcFLrnd,handle_map_forms) ,rule(qs_2c_rh4dDUBSELAUGEUpcFLrnd,handle_fold_forms) ,rule(qs_2d_rh4dDUBSELAUGEUpcFLrnd,handle_exists_forms) ,rule(qs_2e_rh4dDUBSELAUGEUpcFLrnd,handle_kmap_forms) ,rule(qs_2f_rh4dDUBSELAUGEUpcFLrnd,handle_vmap_forms) ,rule(qs_2g_rh4dDUBSELAUGEUpcFLrnd,handle_kfilter_forms) ,rule(qs_2h_rh4dDUBSELAUGEUpcFLrnd,handle_vfilter_forms) ] ) } ) .call(this) ) } ) .call(this) ,word_macros= (function( ) {var n=function(match) {;
return n_pattern.replace($.merge( {_l: '0' ,_step: '1' } ,match) ) } ,ni=function(match) {;
return ni_pattern.replace($.merge( {_l: '0' ,_step: '1' } ,match) ) } ,n_pattern=anon(qs_2i_rh4dDUBSELAUGEUpcFLrnd) ,ni_pattern=anon(qs_2j_rh4dDUBSELAUGEUpcFLrnd) ,scope=anon(qs_2k_rh4dDUBSELAUGEUpcFLrnd) ,scoped=function(t) {;
return scope.replace( {_body:t} ) } ,form=function(p) {;
return(function( ) {var tree=scoped(anon(p) ) ;
return(function(_) {return tree.replace(_) } ) } ) .call(this) } ,keys=form(qs_2l_rh4dDUBSELAUGEUpcFLrnd) ,values=form(qs_2m_rh4dDUBSELAUGEUpcFLrnd) ,pairs=form(qs_2n_rh4dDUBSELAUGEUpcFLrnd) ,object=form(qs_2o_rh4dDUBSELAUGEUpcFLrnd) ,mobject=form(qs_2p_rh4dDUBSELAUGEUpcFLrnd) ;
return( [rule(qs_2q_rh4dDUBSELAUGEUpcFLrnd,n) ,rule(qs_2r_rh4dDUBSELAUGEUpcFLrnd,ni) ,rule(qs_2s_rh4dDUBSELAUGEUpcFLrnd,n) ,rule(qs_2t_rh4dDUBSELAUGEUpcFLrnd,ni) ,rule(qs_2u_rh4dDUBSELAUGEUpcFLrnd,n) ,rule(qs_2v_rh4dDUBSELAUGEUpcFLrnd,ni) ,rule(qs_2w_rh4dDUBSELAUGEUpcFLrnd,keys) ,rule(qs_2x_rh4dDUBSELAUGEUpcFLrnd,object) ,rule(qs_2y_rh4dDUBSELAUGEUpcFLrnd,mobject) ,rule(qs_2z_rh4dDUBSELAUGEUpcFLrnd,values) ,rule(qs_30_rh4dDUBSELAUGEUpcFLrnd,object) ,rule(qs_31_rh4dDUBSELAUGEUpcFLrnd,mobject) ,rule(qs_32_rh4dDUBSELAUGEUpcFLrnd,pairs) ,rule(qs_33_rh4dDUBSELAUGEUpcFLrnd,object) ,rule(qs_34_rh4dDUBSELAUGEUpcFLrnd,mobject) ] ) } ) .call(this) ;
return($.seq=function(caterwaul_function) {;
return(function( ) {var anon_pattern=anon(qs_35_rh4dDUBSELAUGEUpcFLrnd) ,seq_expand=$($.alternatives(operator_macros.concat(word_macros) ) ) ;
return( (function(it) {return(it.modifiers.seq=function(match) {;
return(function(it) {return( ( (it) && (this(it) ) ) ) } ) .call(this, (seq_expand.call(seq_expand,anon_pattern.replace( {_x:match._expression} ) ) ) ) } ) ,it} ) .call(this, (caterwaul_function) ) ) } ) .call(this) } ) } ) .call(this) } ) ;
result_36_rh4dDUBSELAUGEUpcFLrnd.caterwaul_expression_ref_table= { "qs_f_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_xs\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_x0\" ) ) ,new caterwaul.syntax( \"_xi\" ) ) ,new caterwaul.syntax( \"_xl\" ) ) ,new caterwaul.syntax( \"_xr\" ) ) ) ,new caterwaul.syntax( \"_body\" ) ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"this\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_s\" ) ) ) )" ) , "qs_g_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_h_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xs\" ) ) )" ) , "qs_i_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"apply\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Array\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"slice\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_j_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_xs\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"_x0\" ) ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_init\" ) ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_x\" ) ) )" ) , "qs_k_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ,new caterwaul.syntax( \"_x0\" ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_l_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ,new caterwaul.syntax( \"_x0\" ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"||\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_m_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ,new caterwaul.syntax( \"_x0\" ) ) ,new caterwaul.syntax( \"_y\" ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_y\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"_y\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_n_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ,new caterwaul.syntax( \"_x0\" ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_init\" ) ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_o_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"1\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_x0\" ) ) )" ) , "qs_p_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \"2\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \"1\" ) ) ) ) ) ) ,new caterwaul.syntax( \">=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"u--\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_x0\" ) ) )" ) , "qs_q_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"[\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ) ,new caterwaul.syntax( \"!==\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"null\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"_x\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_r_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_init\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_x0\" ) ) )" ) , "qs_s_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ,new caterwaul.syntax( \"1\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_init\" ) ) ) ) ) ,new caterwaul.syntax( \">=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"u--\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_x0\" ) ) )" ) , "qs_t_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"[\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"_x0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_init\" ) ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"_x\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_u_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"i;\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ,new caterwaul.syntax( \"x\" ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"x\" ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"false\" ) ) )" ) , "qs_v_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"i;\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ,new caterwaul.syntax( \"x\" ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"false\" ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"true\" ) ) )" ) , "qs_w_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"i;\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"length\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \"1\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \"x\" ) ) ) ,new caterwaul.syntax( \">=\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"u--\" ,new caterwaul.syntax( \"_xi\" ) ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"x\" ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"false\" ) ) )" ) , "qs_x_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ,new caterwaul.syntax( \"concat\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_ys\" ) ) ) )" ) , "qs_y_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"_f\" ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_z_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ,new caterwaul.syntax( \"_f\" ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xs\" ) ) )" ) , "qs_10_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"_x\" ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_11_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ,new caterwaul.syntax( \"u!\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"_x\" ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_12_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ,new caterwaul.syntax( \"x\" ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"x\" ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_13_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"k\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_14_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xs\" ) ) )" ) , "qs_15_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"k\" ) ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_16_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ,new caterwaul.syntax( \"||\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"k\" ) ) ,new caterwaul.syntax( \"_x\" ) ) ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_17_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"new\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"constructor\" ) ) ,new caterwaul.syntax( \"\" ) ) ) ) ,new caterwaul.syntax( \"x\" ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ) ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"k\" ) ) ,new caterwaul.syntax( \"x\" ) ) ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_18_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[\" ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_19_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_var@0\" ) ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1a_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"[\" ,new caterwaul.syntax( \"_init\" ) ) ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1b_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_var@0\" ) ,new caterwaul.syntax( \"_init\" ) ) ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1c_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"u+\" ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1d_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"u~\" ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1e_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_f\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \":\" ,new caterwaul.syntax( \"_x0\" ) ,new caterwaul.syntax( \"_x0\" ) ) ,new caterwaul.syntax( \":\" ,new caterwaul.syntax( \"_xi\" ) ,new caterwaul.syntax( \"_xi\" ) ) ) ,new caterwaul.syntax( \":\" ,new caterwaul.syntax( \"_xl\" ) ,new caterwaul.syntax( \"_xl\" ) ) ) ,new caterwaul.syntax( \":\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_xs\" ) ) ) ,new caterwaul.syntax( \":\" ,new caterwaul.syntax( \"_xr\" ) ,new caterwaul.syntax( \"_xr\" ) ) ) ) ,new caterwaul.syntax( \"_x\" ) ) )" ) , "qs_1f_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_x0\" ) ) ,new caterwaul.syntax( \"_xi\" ) ) ,new caterwaul.syntax( \"_xl\" ) ) ,new caterwaul.syntax( \"_xs\" ) ) ,new caterwaul.syntax( \"_xr\" ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"_f\" ) ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"this\" ) ,new caterwaul.syntax( \"_x\" ) ) ,new caterwaul.syntax( \"_x0\" ) ) ,new caterwaul.syntax( \"_xi\" ) ) ,new caterwaul.syntax( \"_xl\" ) ) ,new caterwaul.syntax( \"_xs\" ) ) ,new caterwaul.syntax( \"_xr\" ) ) )" ) , "qs_1g_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1h_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"u~\" ,new caterwaul.syntax( \"u!\" ,new caterwaul.syntax( \"_x\" ) ) )" ) , "qs_1i_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"u!\" ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1j_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1k_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"_x\" )" ) , "qs_1l_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"+\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_ys\" ) ) )" ) , "qs_1m_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_x\" ) ) )" ) , "qs_1n_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) ) )" ) , "qs_1o_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_y\" ) ) )" ) , "qs_1p_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) ) ,new caterwaul.syntax( \"_y\" ) )" ) , "qs_1q_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_ys\" ) ) )" ) , "qs_1r_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_xs\" ) ) ,new caterwaul.syntax( \"_ys\" ) )" ) , "qs_1s_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"[\" ,new caterwaul.syntax( \"_x\" ) ) )" ) , "qs_1t_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[\" ,new caterwaul.syntax( \"_x\" ) )" ) , "qs_1u_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_y\" ) ) )" ) , "qs_1v_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_y\" ) ) )" ) , "qs_1w_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_p\" ) ) )" ) , "qs_1x_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_xs\" ) ) ,new caterwaul.syntax( \"_p\" ) )" ) , "qs_1y_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"u~\" ,new caterwaul.syntax( \"[\" ,new caterwaul.syntax( \"_x\" ) ) ) )" ) , "qs_1z_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) ) )" ) , "qs_20_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"u~\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_ys\" ) ) ) )" ) , "qs_21_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_xs\" ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_ys\" ) ) )" ) , "qs_22_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"?\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_y\" ) ,new caterwaul.syntax( \"_z\" ) ) )" ) , "qs_23_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"?\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_y\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_z\" ) ) ) )" ) , "qs_24_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_y\" ) ) )" ) , "qs_25_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_y\" ) ) ) )" ) , "qs_26_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"||\" ,new caterwaul.syntax( \"_x\" ) ,new caterwaul.syntax( \"_y\" ) ) )" ) , "qs_27_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"||\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_y\" ) ) ) )" ) , "qs_28_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"u+\" ,new caterwaul.syntax( \"_xs\" ) ) )" ) , "qs_29_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Array\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"slice\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_xs\" ) ) )" ) , "qs_2a_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"%\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_thing\" ) ) )" ) , "qs_2b_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"*\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_thing\" ) ) )" ) , "qs_2c_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"/\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_thing\" ) ) )" ) , "qs_2d_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"|\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"_thing\" ) ) )" ) , "qs_2e_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"*\" ,new caterwaul.syntax( \"%\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ,new caterwaul.syntax( \"_thing\" ) ) )" ) , "qs_2f_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"*\" ,new caterwaul.syntax( \"%\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"v\" ) ) ,new caterwaul.syntax( \"_thing\" ) ) )" ) , "qs_2g_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"%\" ,new caterwaul.syntax( \"%\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"k\" ) ) ,new caterwaul.syntax( \"_thing\" ) ) )" ) , "qs_2h_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"%\" ,new caterwaul.syntax( \"%\" ,new caterwaul.syntax( \"_xs\" ) ,new caterwaul.syntax( \"v\" ) ) ,new caterwaul.syntax( \"_thing\" ) ) )" ) , "qs_2i_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"u\" ) ) ,new caterwaul.syntax( \"s\" ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"<=\" ,new caterwaul.syntax( \"*\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"u\" ) ,new caterwaul.syntax( \"i\" ) ) ) ,new caterwaul.syntax( \"s\" ) ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"[\" ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"[\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"d\" ) ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"u\" ) ,new caterwaul.syntax( \"i\" ) ) ) ) ) ,new caterwaul.syntax( \"?\" ,new caterwaul.syntax( \">\" ,new caterwaul.syntax( \"d\" ) ,new caterwaul.syntax( \"0\" ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"u\" ) ) ,new caterwaul.syntax( \">\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"u\" ) ) ) ) ,new caterwaul.syntax( \"+=\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"s\" ) ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"i\" ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"r\" ) ) ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_l\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_u\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_step\" ) ) ) )" ) , "qs_2j_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"u\" ) ) ,new caterwaul.syntax( \"s\" ) ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"if\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"<=\" ,new caterwaul.syntax( \"*\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"u\" ) ,new caterwaul.syntax( \"i\" ) ) ) ,new caterwaul.syntax( \"s\" ) ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"[\" ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"[\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"d\" ) ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"u\" ) ,new caterwaul.syntax( \"i\" ) ) ) ) ) ,new caterwaul.syntax( \"?\" ,new caterwaul.syntax( \">\" ,new caterwaul.syntax( \"d\" ) ,new caterwaul.syntax( \"0\" ) ) ,new caterwaul.syntax( \"<=\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"u\" ) ) ,new caterwaul.syntax( \">=\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"u\" ) ) ) ) ,new caterwaul.syntax( \"+=\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"s\" ) ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"i\" ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"r\" ) ) ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_l\" ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_u\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"_step\" ) ) ) )" ) , "qs_2k_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"function\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"o\" ) ) ,new caterwaul.syntax( \"{\" ,new caterwaul.syntax( \"_body\" ) ) ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"this\" ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_o\" ) ) ) ) )" ) , "qs_2l_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"ks\" ) ,new caterwaul.syntax( \"[\" ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"o\" ) ) ) ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"k\" ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"ks\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"k\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"ks\" ) ) )" ) , "qs_2m_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"vs\" ) ,new caterwaul.syntax( \"[\" ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"o\" ) ) ) ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"k\" ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"vs\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"k\" ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"vs\" ) ) )" ) , "qs_2n_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"ps\" ) ,new caterwaul.syntax( \"[\" ) ) ) ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \"in\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"o\" ) ) ) ) ,new caterwaul.syntax( \"&&\" ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"Object\" ) ,new caterwaul.syntax( \"prototype\" ) ) ,new caterwaul.syntax( \"hasOwnProperty\" ) ) ,new caterwaul.syntax( \"call\" ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"k\" ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"ps\" ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"[\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"k\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"k\" ) ) ) ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"ps\" ) ) )" ) , "qs_2o_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"{\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"l\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ,new caterwaul.syntax( \"x\" ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"l\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"i\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"i\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"1\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"r\" ) ) )" ) , "qs_2p_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"for\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \";\" ,new caterwaul.syntax( \"var\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"{\" ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"l\" ) ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"length\" ) ) ) ) ,new caterwaul.syntax( \"x\" ) ) ) ,new caterwaul.syntax( \"<\" ,new caterwaul.syntax( \"i\" ) ,new caterwaul.syntax( \"l\" ) ) ) ,new caterwaul.syntax( \"u++\" ,new caterwaul.syntax( \"i\" ) ) ) ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"o\" ) ,new caterwaul.syntax( \"i\" ) ) ) ,new caterwaul.syntax( \"()\" ,new caterwaul.syntax( \".\" ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"||\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"(\" ,new caterwaul.syntax( \"=\" ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"r\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"0\" ) ) ) ,new caterwaul.syntax( \"[\" ) ) ) ) ) ,new caterwaul.syntax( \"push\" ) ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"x\" ) ,new caterwaul.syntax( \"1\" ) ) ) ) ) ,new caterwaul.syntax( \"return\" ,new caterwaul.syntax( \"r\" ) ) )" ) , "qs_2q_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"n\" ) ,new caterwaul.syntax( \"_u\" ) ) )" ) , "qs_2r_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"ni\" ) ,new caterwaul.syntax( \"_u\" ) ) )" ) , "qs_2s_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"n\" ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_l\" ) ,new caterwaul.syntax( \"_u\" ) ) ) )" ) , "qs_2t_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"ni\" ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_l\" ) ,new caterwaul.syntax( \"_u\" ) ) ) )" ) , "qs_2u_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"n\" ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_l\" ) ,new caterwaul.syntax( \"_u\" ) ) ,new caterwaul.syntax( \"_step\" ) ) ) )" ) , "qs_2v_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"ni\" ) ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \",\" ,new caterwaul.syntax( \"_l\" ) ,new caterwaul.syntax( \"_u\" ) ) ,new caterwaul.syntax( \"_step\" ) ) ) )" ) , "qs_2w_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"/\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"keys\" ) ) )" ) , "qs_2x_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"|\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"object\" ) ) )" ) , "qs_2y_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"/\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"mobject\" ) ) )" ) , "qs_2z_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"/\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"values\" ) ) )" ) , "qs_30_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"object\" ) ) )" ) , "qs_31_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"-\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"mobject\" ) ) )" ) , "qs_32_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"/\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"pairs\" ) ) )" ) , "qs_33_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"/\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"object\" ) ) )" ) , "qs_34_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"|\" ,new caterwaul.syntax( \"_o\" ) ,new caterwaul.syntax( \"mobject\" ) ) )" ) , "qs_35_rh4dDUBSELAUGEUpcFLrnd" : ( "new caterwaul.syntax( \"[]\" ,new caterwaul.syntax( \"S\" ) ,new caterwaul.syntax( \"_x\" ) )" ) } ;
return(result_36_rh4dDUBSELAUGEUpcFLrnd) } ) .call(this,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_xs" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_x0" ) ) ,new caterwaul.syntax( "_xi" ) ) ,new caterwaul.syntax( "_xl" ) ) ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( "_body" ) ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "this" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_s" ) ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "apply" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Array" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "slice" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_xs" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "_x0" ) ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_init" ) ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ,new caterwaul.syntax( "_x0" ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "_x" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ,new caterwaul.syntax( "_x0" ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "||" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "_x" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ,new caterwaul.syntax( "_x0" ) ) ,new caterwaul.syntax( "_y" ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_y" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "_y" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ,new caterwaul.syntax( "_x0" ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_init" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "1" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_x0" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "2" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "1" ) ) ) ) ) ) ,new caterwaul.syntax( ">=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "u--" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_x0" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "[" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ) ,new caterwaul.syntax( "!==" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "null" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_init" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_x0" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ,new caterwaul.syntax( "1" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_init" ) ) ) ) ) ,new caterwaul.syntax( ">=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "u--" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_x0" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "[" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "_x0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_init" ) ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( "i;" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ,new caterwaul.syntax( "x" ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "x" ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "false" ) ) ) ,new caterwaul.syntax( "i;" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ) ,new caterwaul.syntax( "x" ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "false" ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "true" ) ) ) ,new caterwaul.syntax( "i;" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "length" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "1" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "x" ) ) ) ,new caterwaul.syntax( ">=" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "u--" ,new caterwaul.syntax( "_xi" ) ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "x" ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "false" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( "concat" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_ys" ) ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "_f" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ) ,new caterwaul.syntax( "_f" ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "u!" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ,new caterwaul.syntax( "x" ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_x" ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "k" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "k" ) ) ,new caterwaul.syntax( "_x" ) ) ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ,new caterwaul.syntax( "||" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "k" ) ) ,new caterwaul.syntax( "_x" ) ) ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "new" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "constructor" ) ) ,new caterwaul.syntax( "" ) ) ) ) ,new caterwaul.syntax( "x" ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "_xs" ) ) ) ) ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "k" ) ) ,new caterwaul.syntax( "x" ) ) ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( "[" ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_var@0" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "[" ,new caterwaul.syntax( "_init" ) ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_var@0" ) ,new caterwaul.syntax( "_init" ) ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "u+" ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "u~" ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_f" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( ":" ,new caterwaul.syntax( "_x0" ) ,new caterwaul.syntax( "_x0" ) ) ,new caterwaul.syntax( ":" ,new caterwaul.syntax( "_xi" ) ,new caterwaul.syntax( "_xi" ) ) ) ,new caterwaul.syntax( ":" ,new caterwaul.syntax( "_xl" ) ,new caterwaul.syntax( "_xl" ) ) ) ,new caterwaul.syntax( ":" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( ":" ,new caterwaul.syntax( "_xr" ) ,new caterwaul.syntax( "_xr" ) ) ) ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_x0" ) ) ,new caterwaul.syntax( "_xi" ) ) ,new caterwaul.syntax( "_xl" ) ) ,new caterwaul.syntax( "_xs" ) ) ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "_f" ) ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "this" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "_x0" ) ) ,new caterwaul.syntax( "_xi" ) ) ,new caterwaul.syntax( "_xl" ) ) ,new caterwaul.syntax( "_xs" ) ) ,new caterwaul.syntax( "_xr" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "u~" ,new caterwaul.syntax( "u!" ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "u!" ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "+" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_ys" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_y" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "_y" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_ys" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_xs" ) ) ,new caterwaul.syntax( "_ys" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "[" ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "[" ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_y" ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_y" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_p" ) ) ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_xs" ) ) ,new caterwaul.syntax( "_p" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "u~" ,new caterwaul.syntax( "[" ,new caterwaul.syntax( "_x" ) ) ) ) ,new caterwaul.syntax( "[" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "u~" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_ys" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_xs" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_ys" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "?" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_y" ) ,new caterwaul.syntax( "_z" ) ) ) ,new caterwaul.syntax( "?" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_y" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_z" ) ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_y" ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_y" ) ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "||" ,new caterwaul.syntax( "_x" ) ,new caterwaul.syntax( "_y" ) ) ) ,new caterwaul.syntax( "||" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_y" ) ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "u+" ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Array" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "slice" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_xs" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "%" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_thing" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "*" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_thing" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "/" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_thing" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "|" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "_thing" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "*" ,new caterwaul.syntax( "%" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ,new caterwaul.syntax( "_thing" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "*" ,new caterwaul.syntax( "%" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "v" ) ) ,new caterwaul.syntax( "_thing" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "%" ,new caterwaul.syntax( "%" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "k" ) ) ,new caterwaul.syntax( "_thing" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "%" ,new caterwaul.syntax( "%" ,new caterwaul.syntax( "_xs" ) ,new caterwaul.syntax( "v" ) ) ,new caterwaul.syntax( "_thing" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "u" ) ) ,new caterwaul.syntax( "s" ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "<=" ,new caterwaul.syntax( "*" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "u" ) ,new caterwaul.syntax( "i" ) ) ) ,new caterwaul.syntax( "s" ) ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "[" ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "[" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "d" ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "u" ) ,new caterwaul.syntax( "i" ) ) ) ) ) ,new caterwaul.syntax( "?" ,new caterwaul.syntax( ">" ,new caterwaul.syntax( "d" ) ,new caterwaul.syntax( "0" ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "u" ) ) ,new caterwaul.syntax( ">" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "u" ) ) ) ) ,new caterwaul.syntax( "+=" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "s" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "i" ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "r" ) ) ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_l" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_u" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_step" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "u" ) ) ,new caterwaul.syntax( "s" ) ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "if" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "<=" ,new caterwaul.syntax( "*" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "u" ) ,new caterwaul.syntax( "i" ) ) ) ,new caterwaul.syntax( "s" ) ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "[" ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "[" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "d" ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "u" ) ,new caterwaul.syntax( "i" ) ) ) ) ) ,new caterwaul.syntax( "?" ,new caterwaul.syntax( ">" ,new caterwaul.syntax( "d" ) ,new caterwaul.syntax( "0" ) ) ,new caterwaul.syntax( "<=" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "u" ) ) ,new caterwaul.syntax( ">=" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "u" ) ) ) ) ,new caterwaul.syntax( "+=" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "s" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "i" ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "r" ) ) ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_l" ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_u" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "_step" ) ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "function" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "o" ) ) ,new caterwaul.syntax( "{" ,new caterwaul.syntax( "_body" ) ) ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "this" ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_o" ) ) ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "ks" ) ,new caterwaul.syntax( "[" ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "o" ) ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "k" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "ks" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "k" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "ks" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "vs" ) ,new caterwaul.syntax( "[" ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "o" ) ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "k" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "vs" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "k" ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "vs" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "ps" ) ,new caterwaul.syntax( "[" ) ) ) ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "in" ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "o" ) ) ) ) ,new caterwaul.syntax( "&&" ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "." ,new caterwaul.syntax( "Object" ) ,new caterwaul.syntax( "prototype" ) ) ,new caterwaul.syntax( "hasOwnProperty" ) ) ,new caterwaul.syntax( "call" ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "k" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "ps" ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "[" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "k" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "k" ) ) ) ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "ps" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "{" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "l" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "length" ) ) ) ) ,new caterwaul.syntax( "x" ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "l" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "i" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "i" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "1" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "r" ) ) ) ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "for" ,new caterwaul.syntax( "(" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( ";" ,new caterwaul.syntax( "var" ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "{" ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "l" ) ,new caterwaul.syntax( "." ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "length" ) ) ) ) ,new caterwaul.syntax( "x" ) ) ) ,new caterwaul.syntax( "<" ,new caterwaul.syntax( "i" ) ,new caterwaul.syntax( "l" ) ) ) ,new caterwaul.syntax( "u++" ,new caterwaul.syntax( "i" ) ) ) ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "o" ) ,new caterwaul.syntax( "i" ) ) ) ,new caterwaul.syntax( "()" ,new caterwaul.syntax( "." ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "||" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "(" ,new caterwaul.syntax( "=" ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "r" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "0" ) ) ) ,new caterwaul.syntax( "[" ) ) ) ) ) ,new caterwaul.syntax( "push" ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "x" ) ,new caterwaul.syntax( "1" ) ) ) ) ) ,new caterwaul.syntax( "return" ,new caterwaul.syntax( "r" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "n" ) ,new caterwaul.syntax( "_u" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "ni" ) ,new caterwaul.syntax( "_u" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "n" ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_l" ) ,new caterwaul.syntax( "_u" ) ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "ni" ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_l" ) ,new caterwaul.syntax( "_u" ) ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "n" ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_l" ) ,new caterwaul.syntax( "_u" ) ) ,new caterwaul.syntax( "_step" ) ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "ni" ) ,new caterwaul.syntax( "," ,new caterwaul.syntax( "," ,new caterwaul.syntax( "_l" ) ,new caterwaul.syntax( "_u" ) ) ,new caterwaul.syntax( "_step" ) ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "/" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "keys" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "|" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "object" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "/" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "mobject" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "/" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "values" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "object" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "-" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "mobject" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "/" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "pairs" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "/" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "object" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "|" ,new caterwaul.syntax( "_o" ) ,new caterwaul.syntax( "mobject" ) ) ) ,new caterwaul.syntax( "[]" ,new caterwaul.syntax( "S" ) ,new caterwaul.syntax( "_x" ) ) ) ) ;


  caterwaul.module('std', function ($) {$.js_all = function () {return this('js js_literals words seq')}});

// Generated by SDoc 
